import { ProductPriceItem } from '../../../globals/shared/productprice/product-price-types';
export declare class PnFindProductPricelistResult {
    item: ProductPriceItem;
    description?: string[];
    shownitems: ProductPriceItem[];
    showMeasurement?: boolean;
    weightText: string;
    componentWillLoad(): void;
    composeItems(): void;
    render(): any;
}
